Subject: Re: [regression] 2.6.39-rc[1-3] fail to boot on G5 PowerMac

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 15 Apr 2011 07:54:49 +1000

On Thu, 2011-04-14 at 14:25 -0700, Hugh Dickins wrote:
> 
> Something worth trying: turn off CONFIG_IDE.  That's what I need to
> boot 2.6.39-rc[1-3] on PowerPC G5.
> 
> I know Jens has been fixing problems with IDE versus his plug/unplug
> changes, but it's still not fixed for me in rc3.
> 
> In other mail http://lkml.org/lkml/2011/4/14/614
> I see Linus recommending his post-rc3 commit 6631e635c65d
> but I've not tried that myself yet.

Well, the disk is SATA so it's CONFIG_ATA/libata, which works fine here,
unless you somewhat replaced your CD-ROM with a legacy IDE disk :-) Or
maybe the problem is related to the CD-ROM drive. There's a libata
driver for it nowadays, so you can use PATA_MACIO instead of IDE_PMAC

Cheers,
Ben.